.subckt nmos_diff_rx pos neg pwr ngnd rxnode 
+ rx_rt=50
+ rx_c_comp=1p

*[MCP Begin]
*[MCP Ver] 1.2
*[MCP Source] Cadence Design Systems, Inc. MCP Editor
*
*[REM]***********************************************************************
*[Connection] rx_pkg
*[Connection Type] 
*[Power Nets]
*5	pwr	Power
*6	pwr	Power
*8	pwr	Power
*[Ground Nets]
*3	ngnd	gnd
*7	ngnd	Ground
*[Signal Nets]
*2	neg	neg
*1	pos	pos
*
*
*[REM]***********************************************************************
*[Connection] power_supply
*[Connection Type] 
*[Power Nets]
*1	pwr	pwr
*[Ground Nets]
*2	ngnd	gnd
*
*[REM]***********************************************************************
*[Connection] RXin
*[Connection Type] 
*[Power Nets]
*4	pwr	Power
*[Ground Nets]
*3	ngnd	gnd
*[Signal Nets]
*2	neg	neg
*1	pos	pos
*
*[MCP End]
***************************************************************************
* BEHAVIORAL CIRCUIT MODEL FOR Serial Link Analysis
***************************************************************************
*
* MODEL PARAMETERS
*
* This model takes the following parameters:
*
* rx_rt > pullup termination
* rx_c_comp > parasitic die capacitance
*
***************************************************************************
rp pos pwr 'rx_rt'
rn neg pwr 'rx_rt'
cp pos ngnd 'rx_c_comp'
cn neg ngnd 'rx_c_comp'

erxnode rxnode ngnd volt='v(pos,neg)'

.ends nmos_diff_rx
*
